hospital360/routes/web.php
Route::get('/shiftsdetailsafternoon', 'HomeController@homepageshiftsdetailsafternoon');
Route::get('/shiftsdetailsevening', 'HomeController@homepageshiftsdetailsevening');

Route::get('/thisweek', 'HomeController@homepagethisweek');
Route::get('/thisweek_days_list', 'HomeController@homepagethisweek_day_list');
Route::get('/thisweeklist/{date?}', 'HomeController@homepagethisweeklist');
Route::get('/thismonth', 'HomeController@homepagethismonth');
Route::get('/thismonth_week_list', 'HomeController@homepagethismonth_week_list');
Route::get('/thismonth_day_list', 'HomeController@homepagethismonth_day_list');
Route::get('/week_one', 'HomeController@homepagethismonthweek_one_list');
Route::get('/week_two', 'HomeController@homepagethismonthweek_two_list');
Route::get('/week_three', 'HomeController@homepagethismonthweek_three_list');
Route::get('/week_four', 'HomeController@homepagethismonthweek_four_list');
Route::get('/week_five', 'HomeController@homepagethismonthweek_five_list');
Route::get('/thismonthlist', 'HomeController@homepagethismonthlist');
Route::get('/thisyear', 'HomeController@homepagethisyear');
Route::get('/thisyear_month_list/{test?}', 'HomeController@homepagethisyear_month_wise_list');
Route::get('/getyear', 'HomeController@home_year');
Route::get('/thisyear_week_list', 'HomeController@homepagethisyear_week_list');
Route::get('/thisyear_day_wise_list', 'HomeController@homepagethisyear_day_wise_list');
Route::get('/thisyearlist', 'HomeController@homepagethisyearlist');

/*hospital Routes start*/
Route::get('/hasptal_bio', 'HomeController@hasptal_bio');
Route::get('/h_address', 'HomeController@h_address');
Route::get('/h_password', 'HomeController@h_password');
Route::get('/h_contact', 'HomeController@h_contact');
Route::get('/h_profilepic', 'HomeController@h_profilepic');
Route::get('/h_license', 'HomeController@h_license');
Route::get('/h_current_balance', 'HomeController@h_current_balance');
Route::get('/h_add_fund', 'HomeController@h_add_fund');
Route::post('/h_add_fund_store', 'hospitalAddFundController@store')->name('h_add_fund.store');
Route::post('/h_profilepic_remove', 'HomeController@h_profilepic_remove');
Route::post('/hasptal_bio_update/{id}', 'HaspatalRegsiterController@update1')->name('hasptal.bio.update');

Route::get('/h_refund', 'HomeController@h_refund');
Route::post('/h_refund', 'hospitalWithdrawController@store')->name('h_refund.store');
Route::get('/h_statement', 'HomeController@h_statement');
Route::post('/h_account_statement_view', 'HomeController@h_account_statement_view')->name('h_account_statement_view');

Route::get('/h_bankinginfo', 'HomeController@h_bankinginfo');
/*hospital Routes end*/


Route::get('/hospital_profile', 'HomeController@hospital_profile');
Route::post('/hospital_profile/{id}', 'HaspatalRegsiterController@update1')->name('hospital_profileEdit.update');
Route::get('/hospital_consult_price', 'HomeController@hospital_consult_price')->name('hospital_consult_price');;
Route::get('/hospital_register_doctor', 'HomeController@hospital_register_doctor')->name('hospital_register_doctor');
Route::get('/hospital_specialities_create', 'HomeController@hospital_specialities_create')->name('hospital_specialities_create');
Route::get('/hospital_specialities_edit/{id}', 'HomeController@hospital_specialities_edit')->name('hospital_specialities_edit');
Route::get('/hospital_specialities_list', 'HomeController@hospital_specialities_list')->name('hospital_specialities_list');

Route::get('/hospital_doctor_list', 'HomeController@hospital_doctor_list')->name('hospital_doctor_list');

Route::get('/hospital_consult_price_create', 'HomeController@hospital_consult_price_create')->name('hospital_consult_price_create');
Route::get('/hospital_consult_price_edit/{id}', 'HomeController@hospital_consult_price_edit')->name('hospital_consult_price_edit');
Route::post('/my_review_answer', 'HomeController@review_answer')->name('my_review_answer.update');


Route::resource('propertyTypes', 'Property_typeController');

Route::resource('countries', 'CountryController');

Route::resource('states', 'StateController');

Route::resource('cities', 'CityController')->middleware('auth');
Route::get('cityImport', 'CityController@cityImport')->name('cityImport')->middleware('auth');
Route::post('cityImport', 'CityController@cityImportPost')->name('cityImportPost')->middleware('auth');

Route::resource('propertyDetails', 'PropertyDetailsController')->middleware('auth');

Route::resource('taxSetups', 'TaxSetupController')->middleware('auth');

Route::resource('memberDetails', 'MemberDetailsController')->middleware('auth');

Route::resource('languages', 'LanguageController')->middleware('auth');

Route::resource('specialities', 'SpecialitiesController')->middleware('auth');

Route::resource('doctors', 'DoctorsController')->middleware('auth');

Route::resource('patients', 'PatientsController')->middleware('auth');

Route::get('patientsImport', function(){
    return view('patients.patientImport');
});
Route::post('patientsImport', 'PatientsController@patientsImportPost')->name('patientsImportPost')->middleware('auth');

Route::resource('serviceDetails', 'Service_detailsController')->middleware('auth');

Route::resource('setServicePrices', 'Set_service_priceController')->middleware('auth');





Route::resource('bankInformations', 'Bank_informationController')->middleware('auth');

Route::resource('licenceTypes', 'Licence_typeController')->middleware('auth');











Route::resource('bookingRequests', 'BookingRequestController')->middleware('auth');

Route::resource('myFavourites', 'My_favouriteController')->middleware('auth');

Route::resource('doctorAvailabilities', 'Doctor_availabilityController')->middleware('auth');

Route::resource('prescriptionDetails', 'Prescription_detailsController')->middleware('auth');

Route::resource('patientAddFunds', 'Patient_add_fundController')->middleware('auth');

Route::resource('patientRefundRequests', 'Patient_refund_requestController')->middleware('auth');

Route::resource('timeSlots', 'TimeSlotController')->middleware('auth');

Route::resource('coupans', 'CoupanController')->middleware('auth');



Route::resource('keyPointsPatients', 'Key_points_patientController')->middleware('auth');

Route::resource('presentMedicationsPatients', 'Present_medications_patientController')->middleware('auth');

Route::resource('examinationNotesPatients', 'Examination_notes_patientController')->middleware('auth');

Route::resource('availableLabPatients', 'Available_lab_patientController')->middleware('auth');

Route::resource('perceivedPatients', 'Perceived_patientController')->middleware('auth');

Route::resource('suggestedInvestigationsPatients', 'Suggested_investigations_patientController');

Route::resource('suggestedImagingsPatients', 'Suggested_imagings_patientController')->middleware('auth');

Route::resource('suggestedSpecialistsPatients', 'Suggested_specialists_patientController')->middleware('auth');

Route::resource('suggestedTherapiesPatients', 'Suggested_therapies_patientController')->middleware('auth');

Route::resource('presentComplaintPatients', 'Present_complaint_patientController')->middleware('auth');

Route::resource('planMasters', 'Plan_masterController')->middleware('auth');



Route::resource('doctorWithdraws', 'Doctor_withdrawController')->middleware('auth');

Route::resource('supports', 'SupportController')->middleware('auth');

Route::resource('hospitalRegisters', 'Hospital_registerController')->middleware('auth');

Route::resource('reviews', 'ReviewController')->middleware('auth');

Route::resource('businessTypes', 'Business_typeController')->middleware('auth');

Route::resource('hPlans', 'H_planController')->middleware('auth');

Route::resource('businessRegisters', 'Business_registerController')->middleware('auth');

Route::resource('offers', 'OfferController')->middleware('auth');

Route::resource('haspatal360Registers', 'Haspatal_360_registerController')->middleware('auth');

Route::resource('bookingPriceAdmins', 'Booking_price_adminController')->middleware('auth');

Route::resource('yourCoverage360s', 'Your_coverage_360Controller')->middleware('auth');

Route::resource('createOffer360s', 'Create_offer_360Controller')->middleware('auth');

Route::resource('wallet360s', 'Wallet_360Controller')->middleware('auth');

Route::resource('wallet360Transactions', 'Wallet_360_transactionController')->middleware('auth');

Route::resource('buyPlans', 'Buy_planController')->middleware('auth');

Route::resource('order360s', 'Order_360Controller')->middleware('auth');

Route::resource('orderQueries', 'Order_queryController')->middleware('auth');

Route::resource('haspatalRegsiters', 'HaspatalRegsiterController');

Route::resource('setConsultPrices', 'Set_Consult_PricesController')->middleware('auth');

Route::resource('review360s', 'review_360Controller')->middleware('auth');

Route::resource('taxes', 'TaxController');

Route::resource('buyPlanDrs', 'Buy_plan_drController');

Route::resource('medicines', 'MedicineController');

Route::resource('labTests', 'LabTestController');

Route::resource('imagingLists', 'Imaging_listController');

Route::resource('therapiesLists', 'Therapies_listController');

Route::resource('counselingsLists', 'Counselings_listController');

Route::resource('homeCareLists', 'Home_care_listController');

Route::resource('referralSpecialities', 'ReferralSpecialitiesController');









Route::resource('followupPeriods', 'FollowupPeriodController');

Route::resource('hospitalAddFunds', 'hospitalAddFundController');

Route::resource('hospitalWithdraws', 'hospitalWithdrawController');

Route::resource('tasks', 'TaskController');
Route::get('taskAssign', 'TaskController@taskAssign');
Route::get('taskUpdate', 'TaskController@taskUpdate');
Route::get('operator_task', 'TaskController@operator_task')->name('operator_task');


Route::resource('h360coupans', 'H360coupanController');


//test by Santosh

hospital360/app/Models/Available_lab_patient.php
<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @SWG\Definition(
 *      definition="Available_lab_patient",
 *      required={"available_lab"},
 *      @SWG\Property(
 *          property="id",
 *          description="id",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="a_patient_id",
 *          description="a_patient_id",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="a_doctor_id",
 *          description="a_doctor_id",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="available_lab",
 *          description="available_lab",
 *          type="string"
 *      ),
 *      @SWG\Property(
 *          property="created_by",
 *          description="created_by",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="updated_by",
 *          description="updated_by",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="created_at",
 *          description="created_at",
 *          type="string",
 *          format="date-time"
 *      ),
 *      @SWG\Property(
 *          property="updated_at",
 *          description="updated_at",
 *          type="string",
 *          format="date-time"
 *      )
 * )
 */
class Available_lab_patient extends Model
{
    use SoftDeletes;

    public $table = 'Available_lab_patient';
    

    protected $dates = ['deleted_at'];



    public $fillable = [
        'a_patient_id',
        'a_doctor_id',
        'a_book_id',
        'available_lab',
        'created_by',
        'updated_by'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'a_patient_id' => 'integer',
        'a_doctor_id' => 'integer',
        'available_lab' => 'string',
        'created_by' => 'integer',
        'updated_by' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'available_lab' => 'required'
    ];

    
}

hospital360/app/Http/Controllers/Available_lab_patientController.php
<?php

namespace App\Http\Controllers;

use App\DataTables\Available_lab_patientDataTable;
use App\Http\Requests;
use App\Http\Requests\CreateAvailable_lab_patientRequest;
use App\Http\Requests\UpdateAvailable_lab_patientRequest;
use App\Repositories\Available_lab_patientRepository;
use Flash;
use App\Http\Controllers\AppBaseController;
use Response;
use Auth;
class Available_lab_patientController extends AppBaseController
{
    /** @var  Available_lab_patientRepository */
    private $availableLabPatientRepository;

    public function __construct(Available_lab_patientRepository $availableLabPatientRepo)
    {
        $this->availableLabPatientRepository = $availableLabPatientRepo;
    }

    /**
     * Display a listing of the Available_lab_patient.
     *
     * @param Available_lab_patientDataTable $availableLabPatientDataTable
     * @return Response
     */
    public function index(Available_lab_patientDataTable $availableLabPatientDataTable)
    {
        return $availableLabPatientDataTable->render('available_lab_patients.index');
    }

    /**
     * Show the form for creating a new Available_lab_patient.
     *
     * @return Response
     */
    public function create()
    {
        return view('available_lab_patients.create');
    }

    /**
     * Store a newly created Available_lab_patient in storage.
     *
     * @param CreateAvailable_lab_patientRequest $request
     *
     * @return Response
     */
    public function store(CreateAvailable_lab_patientRequest $request)
    {
        $input = $request->all();
         $input['created_by'] = Auth::user()->id;
        $input['updated_by'] = Auth::user()->id;
        $availableLabPatient = $this->availableLabPatientRepository->create($input);

        if(Auth::user()->role_id == 1){

         Flash::success('Available Lab Patient saved successfully.');

        return redirect(route('availableLabPatients.index'));

        }else{

            Flash::success('Available Lab saved successfully.');

            return back();
        }

    }

    /**
     * Display the specified Available_lab_patient.
     *
     * @param  int $id
     *
     * @return Response
     */
    public function show($id)
    {
        $availableLabPatient = $this->availableLabPatientRepository->find($id);

        if (empty($availableLabPatient)) {
            Flash::error('Available Lab Patient not found');

            return redirect(route('availableLabPatients.index'));
        }

        return view('available_lab_patients.show')->with('availableLabPatient', $availableLabPatient);
    }

    /**
     * Show the form for editing the specified Available_lab_patient.
     *
     * @param  int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        $availableLabPatient = $this->availableLabPatientRepository->find($id);

        if (empty($availableLabPatient)) {
            Flash::error('Available Lab Patient not found');

            return redirect(route('availableLabPatients.index'));
        }

        return view('available_lab_patients.edit')->with('availableLabPatient', $availableLabPatient);
    }

    /**
     * Update the specified Available_lab_patient in storage.
     *
     * @param  int              $id
     * @param UpdateAvailable_lab_patientRequest $request
     *
     * @return Response
     */
    public function update($id, UpdateAvailable_lab_patientRequest $request)
    {
        $availableLabPatient = $this->availableLabPatientRepository->find($id);

        if (empty($availableLabPatient)) {
            Flash::error('Available Lab Patient not found');

            return redirect(route('availableLabPatients.index'));
        }

        $availableLabPatient = $this->availableLabPatientRepository->update($request->all(), $id);

        Flash::success('Available Lab Patient updated successfully.');

        return redirect(route('availableLabPatients.index'));
    }

    /**
     * Remove the specified Available_lab_patient from storage.
     *
     * @param  int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        $availableLabPatient = $this->availableLabPatientRepository->find($id);

        if (empty($availableLabPatient)) {
            Flash::error('Available Lab Patient not found');

            return redirect(route('availableLabPatients.index'));
        }

        $this->availableLabPatientRepository->delete($id);

        Flash::success('Available Lab Patient deleted successfully.');

        return redirect(route('availableLabPatients.index'));
    }
}

hospital360/resources/views/available_lab_patients/create.blade.php
@extends('layouts.app')

@section('content')
    <ol class="breadcrumb">
      <li class="breadcrumb-item">
         <a href="{!! route('availableLabPatients.index') !!}">Available Lab Patient</a>
      </li>
      <li class="breadcrumb-item active">Create</li>
    </ol>
     <div class="container-fluid">
          <div class="animated fadeIn">
                @include('coreui-templates::common.errors')
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <i class="fa fa-plus-square-o fa-lg"></i>
                                <strong>Create Available Lab Patient</strong>
                            </div>
                            <div class="card-body">
                                {!! Form::open(['route' => 'availableLabPatients.store']) !!}

                                   @include('available_lab_patients.fields')

                                {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>
           </div>
    </div>
@endsection

hospital360/resources/views/available_lab_patients/datatables_actions.blade.php
{!! Form::open(['route' => ['availableLabPatients.destroy', $id], 'method' => 'delete']) !!}
<div class='btn-group'>
    <a href="{{ route('availableLabPatients.show', $id) }}" class='btn btn-ghost-success'>
       <i class="fa fa-eye"></i>
    </a>
    <a href="{{ route('availableLabPatients.edit', $id) }}" class='btn btn-ghost-info'>
       <i class="fa fa-edit"></i>
    </a>
    {!! Form::button('<i class="fa fa-trash"></i>', [
        'type' => 'submit',
        'class' => 'btn btn-ghost-danger',
        'onclick' => "return confirm('Are you sure?')"
    ]) !!}
</div>
{!! Form::close() !!}

hospital360/resources/views/available_lab_patients/edit.blade.php
@extends('layouts.app')

@section('content')
    <ol class="breadcrumb">
          <li class="breadcrumb-item">
             <a href="{!! route('availableLabPatients.index') !!}">Available Lab Patient</a>
          </li>
          <li class="breadcrumb-item active">Edit</li>
        </ol>
    <div class="container-fluid">
         <div class="animated fadeIn">
             @include('coreui-templates::common.errors')
             <div class="row">
                 <div class="col-lg-12">
                      <div class="card">
                          <div class="card-header">
                              <i class="fa fa-edit fa-lg"></i>
                              <strong>Edit Available Lab Patient</strong>
                          </div>
                          <div class="card-body">
                              {!! Form::model($availableLabPatient, ['route' => ['availableLabPatients.update', $availableLabPatient->id], 'method' => 'patch']) !!}

                              @include('available_lab_patients.fields')

                              {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>
         </div>
    </div>
@endsection

hospital360/resources/views/available_lab_patients/fields.blade.php
<!-- A Patient Id Field -->
<div class="form-group col-sm-6">
    {!! Form::label('a_patient_id', 'A Patient Id:') !!}
    {!! Form::text('a_patient_id', null, ['class' => 'form-control']) !!}
</div>

<!-- A Doctor Id Field -->
<div class="form-group col-sm-6">
    {!! Form::label('a_doctor_id', 'A Doctor Id:') !!}
    {!! Form::text('a_doctor_id', null, ['class' => 'form-control']) !!}
</div>

<!-- Available Lab Field -->
<div class="form-group col-sm-12 col-lg-12">
    {!! Form::label('available_lab', 'Available Lab:') !!}
    {!! Form::textarea('available_lab', null, ['class' => 'form-control']) !!}
</div>

<!-- Created By Field -->
<div class="form-group col-sm-6">
    {!! Form::label('created_by', 'Created By:') !!}
    {!! Form::text('created_by', null, ['class' => 'form-control']) !!}
</div>

<!-- Updated By Field -->
<div class="form-group col-sm-6">
    {!! Form::label('updated_by', 'Updated By:') !!}
    {!! Form::text('updated_by', null, ['class' => 'form-control']) !!}
</div>

<!-- Submit Field -->
<div class="form-group col-sm-12">
    {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
    <a href="{{ route('availableLabPatients.index') }}" class="btn btn-secondary">Cancel</a>
</div>

hospital360/resources/views/available_lab_patients/index.blade.php
@extends('layouts.app')

@section('content')
    <ol class="breadcrumb">
        <li class="breadcrumb-item">Available Lab Patients</li>
    </ol>
    <div class="container-fluid">
        <div class="animated fadeIn">
             @include('flash::message')
             <div class="row">
                 <div class="col-lg-12">
                     <div class="card">
                         <div class="card-header">
                             <i class="fa fa-align-justify"></i>
                             Available_lab_patients
                             <a class="pull-right" href="{{ route('availableLabPatients.create') }}"><i class="fa fa-plus-square fa-lg"></i></a>
                         </div>
                         <div class="card-body">
                             @include('available_lab_patients.table')
                              <div class="pull-right mr-3">
                                     
                              </div>
                         </div>
                     </div>
                  </div>
             </div>
         </div>
    </div>
@endsection

hospital360/resources/views/available_lab_patients/show.blade.php
@extends('layouts.app')

@section('content')
     <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{{ route('availableLabPatients.index') }}">Available Lab Patient</a>
            </li>
            <li class="breadcrumb-item active">Detail</li>
     </ol>
     <div class="container-fluid">
          <div class="animated fadeIn">
                 @include('coreui-templates::common.errors')
                 <div class="row">
                     <div class="col-lg-12">
                         <div class="card">
                             <div class="card-header">
                                 <strong>Details</strong>
                                  <a href="{{ route('availableLabPatients.index') }}" class="btn btn-light">Back</a>
                             </div>
                             <div class="card-body">
                                 @include('available_lab_patients.show_fields')
                             </div>
                         </div>
                     </div>
                 </div>
          </div>
    </div>
@endsection

hospital360/resources/views/available_lab_patients/show_fields.blade.php
<!-- Id Field -->
<div class="form-group">
    {!! Form::label('id', 'Id:') !!}
    <p>{{ $availableLabPatient->id }}</p>
</div>

<!-- A Patient Id Field -->
<div class="form-group">
    {!! Form::label('a_patient_id', 'A Patient Id:') !!}
    <p>{{ $availableLabPatient->a_patient_id }}</p>
</div>

<!-- A Doctor Id Field -->
<div class="form-group">
    {!! Form::label('a_doctor_id', 'A Doctor Id:') !!}
    <p>{{ $availableLabPatient->a_doctor_id }}</p>
</div>

<!-- Available Lab Field -->
<div class="form-group">
    {!! Form::label('available_lab', 'Available Lab:') !!}
    <p>{{ $availableLabPatient->available_lab }}</p>
</div>

<!-- Created By Field -->
<div class="form-group">
    {!! Form::label('created_by', 'Created By:') !!}
    <p>{{ $availableLabPatient->created_by }}</p>
</div>

<!-- Updated By Field -->
<div class="form-group">
    {!! Form::label('updated_by', 'Updated By:') !!}
    <p>{{ $availableLabPatient->updated_by }}</p>
</div>

<!-- Created At Field -->
<div class="form-group">
    {!! Form::label('created_at', 'Created At:') !!}
    <p>{{ $availableLabPatient->created_at }}</p>
</div>

<!-- Updated At Field -->
<div class="form-group">
    {!! Form::label('updated_at', 'Updated At:') !!}
    <p>{{ $availableLabPatient->updated_at }}</p>
</div>

hospital360/resources/views/available_lab_patients/table.blade.php
@section('css')
    @include('layouts.datatables_css')
@endsection

{!! $dataTable->table(['width' => '100%', 'class' => 'table table-striped table-bordered']) !!}

@push('scripts')
    @include('layouts.datatables_js')
    {!! $dataTable->scripts() !!}
@endpush